package com.ss.android.ugc.aweme.services;

import X.2zw;
import X.4wV;
import X.Aie;
import X.BGL;
import X.C2899DxH;
import X.C4372Efw;
import X.C5246Eu2;
import X.C5265EuL;
import X.H0w;
import android.app.Dialog;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.ui.CommonPageFragment;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public interface IBusinessComponentService {
    static {
        Covode.recordClassIndex(105053);
    }

    2zw getAppStateReporter();

    4wV getBusinessBridgeService();

    BGL getDetailPageOperatorProvider();

    H0w getLiveAllService();

    C2899DxH getLiveStateManager();

    C4372Efw getMainHelperService();

    Class<? extends CommonPageFragment> getProfilePageClass();

    Dialog newOptionsDialog(Context context, Aweme aweme, String str);

    C5246Eu2 newScrollSwitchHelper(Context context, C5265EuL euL, Aie aie);
}
